/***** distance.c *********************************
 * Description: 
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * Date: Mon Jun  1 16:52:42 2015
 **************************************************/
#include <string.h>
#include "eprintf.h"
#include "alignment.h"

void printDist(Alignment *al){
  int i, j, l;

  printf("%d\n",(int)al->m);
  for(i=0;i<al->m;i++){
    l = strlen(al->headers[i])-1;
    l = l<10 ? l : 10;
    for(j=0;j<l;j++)
      printf("%c",al->headers[i][j+1]);
    for(j=l;j<10;j++)
      printf(" ");
    printf("%.6f",al->dist[i][0]);
    for(j=1;j<al->m;j++)
      printf(" %.6f",al->dist[i][j]);
    printf("\n");
  }
}
