#ifndef INTERFACE
#define INTERFACE

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char **inputFiles;
  int b;    /* number of bootstrap replicates */
  int p;    /* number of pairwise bootstrap replicates */
  int s;    /* compatibility */
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
