#ifndef INTERFACE
#define INTERFACE

/* define argument container */
typedef struct args{
  int b;    /* number of bins */
  int B;    /* box plot? */
  int r;    /* print raw data? */
  int L;    /* line plot */
  double *R; /* range */
  double u; /* upper bound of range */
  double l; /* lower bound of range */
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char **inputFiles;
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);
void freeArgs();


#endif
