#ifndef INTERFACE
#define INTERFACE

#define DEFAULT_D 10. /* default min dim */

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char n;   /* no lables? */
  char r;   /* rooted? */
  char a;   /* print latex? */
  char l;   /* id-lables? */
  char u;   /* unrooted? */
  float d;  /* smallest dimension of picture */
  float s;  /* scale */
  char **inputFiles;
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
