#ifndef INTERFACE
#define INTERFACE

#define DEFAULT_B 32 * BUFSIZ /* default buffer size */

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char **inputFiles;
  int numInputFiles;
  char *f;  /* field separator */
  char *a;  /* file containing amino acid background frequencies */
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
