/***** pam.h **************************************
 * Description: 
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * File created on Thu Aug 31 15:31:31 2006.
 **************************************************/

typedef struct substitutionMatrix{
  double **mat;
  int size;
  int *dic;
  char *revdic;
} SubstitutionMatrix;

typedef struct matrix{
  double **mat;
  int numRows;
  int numCols;
  char *comment;
}Matrix;

Matrix *getMatrix(FILE *fp, char *fieldSep);

SubstitutionMatrix *matrixMult(SubstitutionMatrix *matA, SubstitutionMatrix *matB);
SubstitutionMatrix *readSubstitutionMatrix(FILE *fp);
void outputMatrix(FILE *fp, SubstitutionMatrix *matrix, char *sep);
void outputMatrixInt(FILE *fp, SubstitutionMatrix *matrix);
SubstitutionMatrix *duplicateSubstitutionMatrix(SubstitutionMatrix *sm1);
