#!/usr/bin/awk -f
# Date: Thu Oct 26 17:06:34 2017 (version 0.1)
BEGIN{
	program = "mum2plot.awk"
	version = "0.1"
	if(h)
		printUsage(program)
	if(v)
		printVersion(program, version)
}
/^>/{
    if($0 ~ /Reverse/)
	reverse = 1
    else
	reverse = 0
}
!/^>/{
    x1 = $1
    y1 = $2
    le = $3
    x2 = x1 + le - 1
    if(reverse)
	y2 = y1 - le + 1
    else
	y2 = y1 + le - 1
    printf("%d\t%d\n%d\t%d\n\n",x1,y1,x2,y2)
}
function printUsage(prog){
	printf "Usage: awk -f %s [-v h=1 -v v=1]\n", prog
	printf "Purpose: <purpose>\n"
	printf "Options:\n"
	printf "\t[h\thelp]\n"
	printf "\t[v\tversion]\n"
	stopped = 1 # can be used as signal outside of BEGIN
	exit
}
function printVersion(prog, ver){
	printf "%s %s\n", prog, ver
	printf "Written by Bernhard Haubold.\n"
	printf "Distributed under the GNU General Public License.\n"
	printf "Please send bug reports to haubold@evolbio.mpg.de\n"
	stopped = 1 # can be used as signal outside of BEGIN
	exit
}
