#ifndef INTERFACE
#define INTERFACE

#define DEFAULT_B 32 * BUFSIZ /* default buffer size */
#define DEFAULT_L 10          /* default length of context returned */

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char D;   /* demo mode? */
  char d;   /* decode? */
  char s;   /* sentinel */			
  char r;   /* print runs? */
  char c;   /* context */
  int l;    /* length of context */
  int *p;   /* positions */
  char **inputFiles;
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
