/***** drawFisherWright.h *****************************************
 * Description: 
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * File created on Sat Sep  3 15:45:44 2005.
 *****************************************************************/

typedef struct cell{
  int numDesc;
  int *children;
  unsigned int isVisited : 1;
  unsigned int isMrca : 1;
  unsigned int isAncestral : 1;
  int ancestor;
  int generation;
  int gene;
} Cell;

void printLatexHeader(FILE *fp);
void traverseSubgraph(Cell **pop, Cell *cell, int *table);
void markForward(Cell **pop, Cell *cell);
