#ifndef INTERFACE
#define INTERFACE

#define DEFAULT_T 1000.0
#define DEFAULT_N 10

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  int n;    /* number of taxa */
  float t;  /* mutation rate */
  char s;   /* speciation times */
  char c;   /* coalescent tree */
  int S;    /* seed for random number generator */
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
