#ifndef INTERFACE
#define INTERFACE

#define MAX_PATTERNS 50000 /* maximum number of patterns */

/* define argument container */
typedef struct args{
  char *p;  /* patterns delimited by | */
  char *f;  /* pattern file */
  char *t;  /* tree file */
  char h;   /* help message? */
  char r;   /* include reverse strand? */
  char i;   /* ignore case? */
  char s;   /* separate sequences? */
  char v;   /* version message? */
  char e;   /* error message? */
  char **inputFiles;
  int b;    /* buffer size */
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
