#ifndef INTERFACE
#define INTERFACE

#define DEFAULT_B 32 * BUFSIZ /* default buffer size */

/* define argument container */
typedef struct args{
  int m;    /* length of first sequence */
  int n;    /* length of second sequence */
  char p;   /* print matrix */
  char t;   /* top-down algorithm */
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
