/***** hash.h *****************************************************
 * Description: 
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * File created on Fri Feb 10 05:43:24 2006.
 *****************************************************************/
#define HASHSIZE 101

typedef struct listElement{
  struct listElement *next;
  int pos;
}ListElement;

typedef struct tableEntry{
  char *word;
  struct tableEntry *next;
  struct listElement *posList;
}TableEntry;

unsigned hash(char *s);
TableEntry *lookup(char *s, int hashVal);
TableEntry *install(char *word, int pos);
TableEntry *getTableEntry();
TableEntry **getHashTable();
