#ifndef INTERFACE
#define INTERFACE

#define DEFAULT_T 'w'  /* default test type (Walsh) */
#define DEFAULT_I 1000 /* default number of iterations in Montc-Carlo test */

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char t;   /* type of test */
  char **inputFiles;
  int i;    /* number of iterations */
  int s;    /* seed for random number generator */
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
